Bug 526647 - Cluster IP resource does not deal with IP address collision possibility
Summary: Cluster IP resource does not deal with IP address collision possibility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager
Version: 5.4
Hardware: i386
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-01 09:37 UTC by Ferenc Antal
Modified: 2016-04-26 15:27 UTC (History)
3 users (show)

Fixed In Version: rgmanager-2.0.52-1.22.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:49:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
suggested patch for ip.sh to avoid IP address collisions (1023 bytes, patch)
2009-10-16 08:32 UTC, Ferenc Antal
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0280 0 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2010-03-29 13:59:11 UTC

Description Ferenc Antal 2009-10-01 09:37:41 UTC
Description of problem:
Cluster IP resource brings up an IP address without prior checking. If the IP remains live on other cluster member it leads to IP address collision.

Version-Release number of selected component (if applicable):
rgmanager-2.0.52-1.el5

How reproducible:
Starting a cluster service with an IP resource while that IP address exists on the network.

Steps to Reproduce:
1. Create cluster service with IP resource
2. Bring up the same IP address manually on nodeB
3. Start the service on nodeA
  
Actual results:
Service brings up the IP address and IP address collision occurs on the network.

Expected results:
/usr/share/cluster/ip.sh should check an IP address presence before bringing up an IP address. If the IP address is responding it should block the service avoiding IP address collision.

Additional info:

Comment 1 Ferenc Antal 2009-10-16 08:32:44 UTC
Created attachment 365025 [details]
suggested patch for ip.sh to avoid IP address collisions

This patch inserts ping check into ip.sh prior to IP address activation.

Comment 2 Lon Hohberger 2009-10-16 21:50:30 UTC
I would change the 'notice' to 'debug', otherwise the patch is good.

Comment 3 Ferenc Antal 2009-10-22 08:45:00 UTC
Would you like me to replace 'notice' to 'debug' and upload the modified one?

Comment 4 Lon Hohberger 2009-10-27 19:45:40 UTC
No, it's fine.  If you're okay with that small change I will just commit the patch with the minor change with you as the author.

Comment 8 errata-xmlrpc 2010-03-30 08:49:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0280.html


Note You need to log in before you can comment on or make changes to this bug.